using System;
using System.Linq;
using System.Web.UI;

public partial class ExibirProdutos : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            using (NorthwindDataContext db = new NorthwindDataContext())
            {
                string nomeCategoria = Page.RouteData.Values["NomeCategoria"] as string;

                var query = db.Categories.Where(p => p.CategoryName == nomeCategoria).Take(1).SingleOrDefault();
                if (query != null)
                {
                    dvProdutos.DataSource = query.Products;
                    dvProdutos.DataBind();
                }
            }
        }
    }
}